Commit 0d97aac7 authored by Francois-Rene Rideau's avatar Francois-Rene Rideau
Browse files

test: restoring upgrade tests for CMUCL.

They work with the cmucl 2014-12 snapshot.
My previous failures were due to my old, tweaked cmucl install.
parent b1cec6b4
...@@ -411,8 +411,9 @@ valid_upgrade_test_p () { ...@@ -411,8 +411,9 @@ valid_upgrade_test_p () {
# Now its hg repository includes 3.0.2.29, but clisp hasn't released in many years(!) # Now its hg repository includes 3.0.2.29, but clisp hasn't released in many years(!)
# We don't punt on upgrade anymore, so we can go at it! # We don't punt on upgrade anymore, so we can go at it!
#clisp:2.00[0-7]:*|clisp:1.*|clisp:2.0[01]*|clisp:2.2[0-5]:*) : ;; #clisp:2.00[0-7]:*|clisp:1.*|clisp:2.0[01]*|clisp:2.2[0-5]:*) : ;;
# CMUCL has problems with CLOS upgrade in general. # CMUCL has problems with 2.32 and earlier because of
cmucl:*) : ;; # the redefinition of system's superclass component.
cmucl:1.*|cmucl:2.[012]*|cmucl:2.3[012]*) : ;;
# Skip many ECL tests, for various ASDF issues # Skip many ECL tests, for various ASDF issues
ecl*:1.*|ecl*:2.0[01]*|ecl*:2.20:*) : ;; ecl*:1.*|ecl*:2.0[01]*|ecl*:2.20:*) : ;;
# GCL 2.7.0 from late November 2013 is required, with ASDF 3.1.2 # GCL 2.7.0 from late November 2013 is required, with ASDF 3.1.2
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment